#ifndef VISX_H
#define VISX_H
#include <ppmIO.h>

int SyncVideo(long frame);
int CaptureVideo(int frame);
int SetVideoChannel(int channel);
int CloseVideoDevice(unsigned char *buf, long height, long width, long nBytes, long nFrames);
unsigned char *OpenVideoDevice(long *height, long *width, long nBytes, long nFrames, int verbose, long offsets[]);
void InsertPixel(int r, int g, int b, long y, long x, unsigned char *im, const long cols, const long rows, const long bpp);
void InsertBox(int r, int g, int b, long box[], unsigned char *data, const long cols, const long rows, const long bpp);
Pixel *ConvertToPPM(unsigned char *data, const long cols, const long rows, const int depth);
Pixel *ConvertToPPM2(unsigned char *data, Pixel *buffer, const long cols, const long rows, const int depth);
Pixel *ConvertToRPM(unsigned char *data, const long cols, const long rows, const int depth);
unsigned char *ConvertToX(Pixel *data, unsigned char *output,const long cols, const long rows, const int depth);

#endif

